> For the complete documentation index, see [llms.txt](https://docs.hockeystack.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hockeystack.com/integrations/marketing-automation/pardot/pardot-pulled-objects-list.md).

# Pardot Pulled Objects List

List of objects and activities we pull from Pardot.

## Lead (Prospects)

We pull Prospect records from Pardot and create a Lead object for each. The prospect is identified by their email or Pardot prospect ID.&#x20;

| HockeyStack Property        | Pardot Field                                                                             |
| --------------------------- | ---------------------------------------------------------------------------------------- |
| pardot\_\_lead\_id          | id                                                                                       |
| lead\_id                    | salesforceLeadId / salesforceContactId / salesforceId / id                               |
| lead\_name                  | firstName + lastName                                                                     |
| lead\_email                 | email                                                                                    |
| lead\_created\_at           | createdAt                                                                                |
| lead\_createddate           | createdAt                                                                                |
| lead\_updateddate           | updatedAt                                                                                |
| lead\_source                | source                                                                                   |
| lead\_industry              | industry                                                                                 |
| lead\_country               | country                                                                                  |
| lead\_title                 | jobTitle                                                                                 |
| lead\_owner\_id             | assignedTo.salesforceId / assignedTo.id                                                  |
| lead\_owner\_name           | assignedTo.firstName + assignedTo.lastName                                               |
| lead\_owner\_email          | assignedTo.email                                                                         |
| lead\_owner\_title          | assignedTo.jobTitle                                                                      |
| lead\_owner\_userrole\_name | assignedTo.roleName                                                                      |
| lead\_campaign\_pardot\_id  | campaign.id                                                                              |
| lead\_campaign\_id          | campaign.salesforceId                                                                    |
| lead\_campaign\_name        | campaign.name                                                                            |
| pardot\_\_is\_converted     | true if convertedAt date is present                                                      |
| pardot\_\_company\_id       | the company's domain, if it exists, or prospectAccount.salesforceId / prospectAccount.id |

## Activities

Every activity has the following common properties:

| HockeyStack Property   | Pardot Field  |
| ---------------------- | ------------- |
| pardot\_activity\_id   | id            |
| pardot\_campaign\_id   | campaignId    |
| pardot\_campaign\_name | campaign.name |

### Activity Types

#### **Email Activities**

The following email-related activities share these properties:

| HockeyStack Property          | Pardot Field       |
| ----------------------------- | ------------------ |
| pardot\_email\_subject        | email.subject      |
| pardot\_email\_id             | emailId            |
| pardot\_email\_list\_name     | listEmail.name     |
| pardot\_email\_template\_id   | emailTemplateId    |
| pardot\_email\_template\_name | emailTemplate.name |

**Email actions pulled:**

* **Email Sent** - An email is sent to a prospect
* **Email Opened** - A prospect opens an email
* **Email URL Clicked** - A prospect clicks a link in an email
* **Email Bounced** - An email bounces for a prospect
* **Unsubscribed from Mail List** - A prospect unsubscribes from an email list
* **Resubscribed to Mail List** - A prospect resubscribes to an email list

#### **Form Activities**

| HockeyStack Property | Pardot Field                 |
| -------------------- | ---------------------------- |
| pardot\_form\_name   | form.name / formHandler.name |

**Form actions pulled:**

* **Form Viewed** - A prospect views a form
* **Form Completed** - A prospect submits a form or form handler

#### **Page View Activities**

| HockeyStack Property | Pardot Field           |
| -------------------- | ---------------------- |
| pardot\_page\_title  | visitorPageView\.title |
| pardot\_page\_url    | visitorPageView\.url   |

**Page actions pulled:**

* **Page Viewed** - A prospect views a page

#### **Paid Search Activities**

| HockeyStack Property               | Pardot Field   |
| ---------------------------------- | -------------- |
| pardot\_paid\_search\_ad\_id       | paidSearchAdId |
| pardot\_paid\_search\_ad\_headline | details        |

**Paid search actions pulled:**

* **Paid Search Ad Clicked** - A prospect clicks a paid search ad


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hockeystack.com/integrations/marketing-automation/pardot/pardot-pulled-objects-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
